<?php
include ("../conexion.php");


if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgcli=$array_cadena_busqueda[1];
	$dsccli=$array_cadena_busqueda[2];
	$combotipoplazo=$array_cadena_busqueda[4];
	$fechainicio=$array_cadena_busqueda[5];
	$dsccli=$array_cadena_busqueda[6];
} else {
	$cdgcli="";
	$dsccli="";
	$combotipoplazo="";
	$fechainicio="";
	$dsccli="";
}



$hoy=date("d-m-Y");
?>
<html>
	<head>
		<title>Cartera</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        	
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {	
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("cdgbar").focus();

			
		}
		

		
	function generar_seguimiento() {

	
	var mensaje="";
	if (document.getElementById("cdgbar").value=="") mensaje+="  - Codigo del Articulo\n";
	//if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";

			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
			
	var cdgbar=document.getElementById("cdgbar").value;
	document.getElementById('bloquea').style.display='block';
	
	miPopup = window.open("Generar_impuesto_servicio.php?cdgbar="+cdgbar,"frame_datos2","width=900,height=90,scrollbars=yes");
	miPopup.focus();
	
				
		}
			}
		

		
	function imprimir_Resumen() {

			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha de calculo\n";

	
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {


			
	var fechainicio=document.getElementById("fechainicio").value;
	var dsccli=document.getElementById("dsccli").value;
	var combotipoplazo=document.getElementById("combotipoplazo").value;
	var cdgcli=document.getElementById("cdgcli").value;
	
	window.open("Reporte_Cartera_CXC_Resumen.php?cdgcli="+cdgcli+"&fechainicio="+fechainicio+"&dsccli="+dsccli+"&combotipoplazo="+combotipoplazo);
}
		}
		
	
			
	function imprimir_detallado() {

			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha de calculo\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {

			
	var fechainicio=document.getElementById("fechainicio").value;
	var dsccli=document.getElementById("dsccli").value;
	var combotipoplazo=document.getElementById("combotipoplazo").value;
	var cdgcli=document.getElementById("cdgcli").value;
	
	window.open("Reporte_cartera_detallado.php?cdgcli="+cdgcli+"&fechainicio="+fechainicio+"&dsccli="+dsccli+"&combotipoplazo="+combotipoplazo);
}
		}
			
		
		

		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {
				document.getElementById("iniciopagina").value=1;
			} else {
				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}
			document.getElementById("form_busqueda").submit();
		}
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		}
		
		function hacer_cadena_busqueda() {
				
			var combotipoplazo=document.getElementById("combotipoplazo").value;
			var fechainicio=document.getElementById("fechainicio").value;
			var dsccli=document.getElementById("dsccli").value;
			var cdgcli=document.getElementById("cdgcli").value;
			var cadena="";
			cadena="~"+cdgcli+"~"+fechainicio+"~"+dsccli+"~"+combotipoplazo+"~";
			return cadena;
			}
		
		function limpiar() {
			document.getElementById("form_busqueda").reset();
			
			
		}
		

		
		function ventanaArticulos(){
	
		miPopup = window.open("ver_articulos_super.php?","miwin","width=800,height=650,scrollbars=yes");

		}
		
		
	function validararticulo(){
			

		 var codigobarras=document.getElementById("cdgbar").value;

			miPopup = window.open("comprobararticulo_super.php?cdgbar="+codigobarras, "frame_datos1","width=900,height=90,scrollbars=yes");

			
			}	
	
		
		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


 
  function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);
	 date2 = new Date(fechafin); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	
	if (fechafin !=""){	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha Final no puede ser mayor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
	

	}
	
	
	if (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}
	
	buscar();
	}
	
	
	
jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});




		</script>
	</head>
	<body  onLoad=" nobackbutton(); inicio()">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoReporte">
				<form id="form_busqueda" name="form_busqueda" method="post" action="Rejilla_impuesto_servicio.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						
          	
                        <tr>	
						  <td width="1%" rowspan="2">&nbsp;</td>
							<td width="8%">&nbsp;</td>
						  <td width="15%">&nbsp;</td>
						  <td width="10%">&nbsp;</td>
						  <td width="22%">&nbsp;</td>
						  <td width="5%" rowspan="2">&nbsp;</td>
						  <td width="1%" rowspan="2">&nbsp;</td>
						  <td width="7%" rowspan="2">Fecha Inicial</td>
						  <td width="15%" rowspan="2"><input id="fechainicio" type="text" class="cajaGrande" name="fechainicio" maxlength="10"  onFocus="siguienteCampo ='fechafin';"  style='text-align:center;' onChange="comprobar_fechas()" value="<?php echo $hoy?>" ></td>
						  <td width="15%" rowspan="2"><img src="../img/Procesar.png" width="48" title="Generar Cartera" height="48" border="0" onClick="generar_seguimiento()" onMouseOver="style.cursor=cursor"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()"  title="Limpiar" onMouseOver="style.cursor=cursor"></td>
						  <td width="1%" rowspan="3"><p>
                        
                          </p>
                          <p>&nbsp;</p></td>
					    </tr>
                        <tr>
                          <td>Codigo</td>
                          <td width="15%"><input name="cdgbar" value="<?php echo 100 ?>" type="text"  id="cdgbar"   onChange="validararticulo()"    autocomplete= "off"   onFocus="buscar(); siguienteCampo ='fechainicio';"   class="cajaGrande"  ></td>
                          <td width="10%">Existencia</td>
                          <td width="22%"><input name="exiact"  readonly  type="hidden"id="exiact" class="cajaGrande"   autocomplete= "off"   ></td>
                        </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Articulo</td>
						  <td colspan="4"><input name="dscart"    value="<?php echo "IMPUESTO DE SERVICIO" ?>" type="text"id="dscart" class="cajaGrande"   autocomplete= "off"   ></td>
						  <td>&nbsp;</td>
						  <td>Fecha Final</td>
						  <td><input id="fechafin" type="text" class="cajaGrande" name="fechafin" maxlength="10"  onFocus="siguienteCampo ='cdgbar';"  style='text-align:center;' onChange="comprobar_fechas()" value="<?php echo $hoy?>" ></td>
						  <td width="15%" align="center"><input id="filas" type="hidden" class="cajaPequena" name="filas" maxlength="5"  readonly></td>
	                  </tr>
					</table>
					<div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="19%">NUMERO</td>
							<td width="9%">FECHA </td>							
							<td width="6%">TIPO</td>
							<td width="38%">DETALLE</td>
							<td width="10%">RESTA</td>
							<td width="10%">SUMA</td>
							<td width="8%">&nbsp;</td>
						</tr>
				</table>
	</div>
				    <iframe width="100%" height="340" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <table width="100%" border="0">
				      <tr>
				        <td width="53%" rowspan="3" class="button"><strong>Totales</strong></td>
				        <td width="14%">NC</td>
				        <td width="9%"><input size="9%"  name="cantidad_notas" type="text"  id="cantidad_notas"  style='text-align:right; text-height:5pt;'  value="" readonly align="left"></td>
				        <td width="12%" >Facturacion</td>
			            <td width="12%"><input size="9%" name="cantidad_facturada" type="text"  id="cantidad_facturada"  style='text-align:right; text-height:5pt;'  value="" readonly align="left"></td>
                      </tr>
				      <tr>
				        <td width="14%"></td>
				        <td width="9%"></td>
				        <td >Impuesto de Servicio</td>
				        <td width="12%"><input size="9%"  name="saldo" type="text"  id="saldo"  style='text-align:right; text-height:5pt;'  value="" readonly align="left"></td>
			          </tr>
				      <tr>
				        <td width="14%"></td>
				        <td width="9%"></td>
				        <td ></td>
				        <td width="12%"></td>
			          </tr>
			      </table>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
                    
                 <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
                    
                    	<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
			  </form>
              
    
      
<div id="bloquea" class="cargando" style="display:none;">
<img style="margin-left: 5%;margin-top: 15%" alt="Espere..." src="../img/procesando.gif" />

</div>        
              
			 </div>
		  </div>
    </div>
		
	</body>
</html>
